RagTimeSpreadsheetInternal::CellBorder Struct Reference

Internal: cell border of a RagTimeSpreadsheet (SpVa block). More...

## Public Member Functions
| CellBorder ()
| constructor
bool | hasBorders () const
| returns true if the cell has some border
void | update (Cell &cell) const
| update the cell border if need

## Public Attributes
MWAWBorder | m_borders [2]
| the top and left border
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, CellBorder const &border)
| operator<<

## Detailed Description

Internal: cell border of a RagTimeSpreadsheet (SpVa block).

## Constructor & Destructor Documentation

## ◆ CellBorder()

RagTimeSpreadsheetInternal::CellBorder::CellBorder | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ hasBorders()

bool RagTimeSpreadsheetInternal::CellBorder::hasBorders | ( |  | ) | const
| inline

returns true if the cell has some border

## ◆ update()

void RagTimeSpreadsheetInternal::CellBorder::update | ( | Cell & | cell | ) | const

update the cell border if need

Referenced by update().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellBorder const & | border )
| friend

operator<<

## Member Data Documentation

## ◆ m_borders

MWAWBorder RagTimeSpreadsheetInternal::CellBorder::m_borders[2]

the top and left border

Referenced by hasBorders(), operator<<, RagTimeSpreadsheet::readResource(), and update().

## ◆ m_extra

std::string RagTimeSpreadsheetInternal::CellBorder::m_extra

extra data

Referenced by CellBorder(), operator<<, and RagTimeSpreadsheet::readResource().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx